Subject: bug#8705: closed (Re: Emacs 24.3 occasionally crashes (segfault) just after starting it)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Oct 2014 06:20:02 +0000

Your bug report

#8705: Emacs 24.3 occasionally crashes (segfault) just after starting it

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8705: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8705
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Emacs 24.3 occasionally crashes (segfault) just after starting it
From: Paul Eggert <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 11 Oct 2014 23:19:21 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I audited the Emacs trunk source code for getenv-related races that have 
undefined behavior and could have the reported symptoms.  I found some other 
races and installed a fix for them as Emacs trunk bzr 118095.  I expect this 
patch to be harder to backport to older Emacs versions, and less urgent as the 
races appear to be less likely.

Since we have fixes installed in the trunk I'll take the liberty of closing the 
Emacs bug report.  Please let us know if the bug occurs even with the fixes; if 
that happens I plan to reopen the bug report and look into it further.

Subject: 23.3; Emacs occasionally crashes (segfault) just after starting it
From: Vincent Lefevre <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 20 May 2011 10:54:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs23 occasionally crashes (segmentation fault) just after starting
it. Here this was the first time with Emacs 23.3 (Debian's package).

All crashes of Emacs 22 and 23 I got occurred immediately after
starting it, and most of them (if not all) occurred either on an
XML file or when Emacs was started via svn to write a log message.

Here's a backtrace:

(gdb) bt
#0  0x00007fa7df0056b7 in kill () at ../sysdeps/unix/syscall-template.S:82
#1  0x00000000004e4a5f in ?? ()
#2  <signal handler called>
#3  getenv (name=0x7fa7df118177 "NGUAGE") at getenv.c:84
#4  0x00007fa7df00034e in guess_category_value (
    domainname=0x7fa7e4afea1a "gtk20-properties", 
    msgid1=<value optimized out>, msgid2=<value optimized out>, 
    plural=<value optimized out>, n=<value optimized out>, 
    category=<value optimized out>) at dcigettext.c:1359
#5  __dcigettext (domainname=0x7fa7e4afea1a "gtk20-properties", 
    msgid1=<value optimized out>, msgid2=<value optimized out>, 
    plural=<value optimized out>, n=<value optimized out>, 
    category=<value optimized out>) at dcigettext.c:575
#6  0x00007fa7e48a7a3a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#7  0x00007fa7e2b429e5 in g_type_class_ref () from /usr/lib/libgobject-2.0.so.0
#8  0x00007fa7e2b2659e in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#9  0x00007fa7e2b26e1c in g_object_new () from /usr/lib/libgobject-2.0.so.0
#10 0x00007fa7e48a82bc in gtk_alignment_new ()
   from /usr/lib/libgtk-x11-2.0.so.0
#11 0x00007fa7e4a3e88e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#12 0x00007fa7e2b45443 in g_type_create_instance ()
   from /usr/lib/libgobject-2.0.so.0
#13 0x00007fa7e2b22dfc in ?? () from /usr/lib/libgobject-2.0.so.0
#14 0x00007fa7e2b26121 in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#15 0x00007fa7e2b26e1c in g_object_new () from /usr/lib/libgobject-2.0.so.0
#16 0x00007fa7e4a400a1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x00007fa7e49642f8 in gtk_main_do_event ()
   from /usr/lib/libgtk-x11-2.0.so.0
#18 0x00007fa7e45cdb7c in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#19 0x00007fa7e22564a3 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#20 0x00007fa7e2256c80 in ?? () from /lib64/libglib-2.0.so.0
#21 0x00007fa7e2256f1d in g_main_context_iteration ()
   from /lib64/libglib-2.0.so.0
#22 0x00007fa7e49634c1 in gtk_main_iteration ()
   from /usr/lib/libgtk-x11-2.0.so.0
#23 0x00000000004aa33c in ?? ()
#24 0x00000000004ef993 in ?? ()
[...]

For more information, see my Debian bug reports:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594592 (Emacs 23)
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511003 (Emacs 22)

In GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.4)
 of 2011-04-10 on brahms, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11001000
configured using `configure  '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.3/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.3/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: POSIX
  value of $LC_CTYPE: en_US.UTF-8
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_DK
  value of $LANG: POSIX
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  display-time-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<escape> x r e p o r t - e m <tab> <return>

Recent messages:
Loading cjk-enc...done
Loading /etc/emacs/site-start.d/50latex-cjk-common.el (source)...done
Loading /etc/emacs/site-start.d/50latex-cjk-thai.el (source)...done
Loading /etc/emacs/site-start.d/50psvn.el (source)...done
Loading /etc/emacs/site-start.d/50rnc-mode.el (source)...done
Loading /etc/emacs/site-start.d/50thailatex.el (source)...done
Loading /etc/emacs/site-start.d/50w3m-el.el (source)...done
Loading /home/vlefevre/share/emacs/site-lisp/mutteditor.el (source)...done
Loading time...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/usr/share/emacs23/site-lisp/css-mode/css-mode hides /usr/share/emacs/site-lisp/css-mode/css-mode
/usr/share/emacs23/site-lisp/html-helper-mode/tempo hides /usr/share/emacs/site-lisp/html-helper-mode/tempo
/usr/share/emacs23/site-lisp/html-helper-mode/visual-basic-mode hides /usr/share/emacs/site-lisp/html-helper-mode/visual-basic-mode
/usr/share/emacs23/site-lisp/html-helper-mode/hhm-config hides /usr/share/emacs/site-lisp/html-helper-mode/hhm-config
/usr/share/emacs23/site-lisp/html-helper-mode/html-helper-mode hides /usr/share/emacs/site-lisp/html-helper-mode/html-helper-mode
/usr/share/emacs/23.3/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/23.3/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs23/site-lisp/flim/sha1 hides /usr/share/emacs/23.3/lisp/sha1
/usr/share/emacs23/site-lisp/flim/hex-util hides /usr/share/emacs/23.3/lisp/hex-util
/usr/share/emacs23/site-lisp/flim/md4 hides /usr/share/emacs/23.3/lisp/md4
/usr/share/emacs23/site-lisp/html-helper-mode/tempo hides /usr/share/emacs/23.3/lisp/tempo
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.3/lisp/textmodes/ispell
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.3/lisp/textmodes/flyspell
/usr/share/emacs23/site-lisp/css-mode/css-mode hides /usr/share/emacs/23.3/lisp/textmodes/css-mode
/usr/share/emacs23/site-lisp/flim/hmac-md5 hides /usr/share/emacs/23.3/lisp/net/hmac-md5
/usr/share/emacs23/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/23.3/lisp/net/sasl-ntlm
/usr/share/emacs23/site-lisp/flim/ntlm hides /usr/share/emacs/23.3/lisp/net/ntlm
/usr/share/emacs23/site-lisp/flim/sasl hides /usr/share/emacs/23.3/lisp/net/sasl
/usr/share/emacs23/site-lisp/flim/sasl-cram hides /usr/share/emacs/23.3/lisp/net/sasl-cram
/usr/share/emacs23/site-lisp/flim/sasl-digest hides /usr/share/emacs/23.3/lisp/net/sasl-digest
/usr/share/emacs23/site-lisp/flim/hmac-def hides /usr/share/emacs/23.3/lisp/net/hmac-def
/usr/share/emacs23/site-lisp/latex-cjk-thai/thai-word hides /usr/share/emacs/23.3/lisp/language/thai-word

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml easymenu
mml-sec password-cache mm-decode mm-bodies mm-encode mailcap mail-parse
rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util
netrc time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock
sha1 sha1-el hex-util hashcash mail-utils warnings emacsbug time
cus-start cus-load paren cc-styles cc-align cc-engine cc-vars cc-defs
regexp-opt w3m-load tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd font-setting tool-bar dnd fontset image fringe lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
system-font-setting font-render-setting gtk x-toolkit x multi-tty emacs)